/**
 * 这是所有模块公用业务逻辑的服务
 */
export default class CommonService {
    constructor(AjaxService) {
        Object.assign(this, { AjaxService })
        this.name = 'CommonService'
    }
    /* 商城首页轮播图 */
    GetProductCarousel(data = {}) {
        return this.AjaxService.get({
            url: '/product/carousel',
            data,
            isLoading: false,
        })
    }
    /* 商城首页初始化数据查询 */
    GetHomeModulesDataInfo(data = {}) {
        return this.AjaxService.get({
            url: '/home/modules',
            data,
            isLoading: false,
        })
    }
}
